Bulk download FileAttachments
curl --request POST \
--url https://api.tread-horizon.com/v1/bulk_downloads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"filter": {
"job": {
"states": [
"created"
],
"customer_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"driver_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"dropoff_site_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"foreman_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"pickup_site_ids:": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"vendor_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"categories": [
"Other"
]
}
}
'import requests
url = "https://api.tread-horizon.com/v1/bulk_downloads"
payload = {
"job_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"filter": {
"job": {
"states": ["created"],
"customer_account_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"driver_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"dropoff_site_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"foreman_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"pickup_site_ids:": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"vendor_account_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"categories": ["Other"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
filter: {
job: {
states: ['created'],
customer_account_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
driver_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
dropoff_site_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
foreman_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
'pickup_site_ids:': ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
vendor_account_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
start_date: '2023-12-25',
end_date: '2023-12-25'
},
categories: ['Other']
}
})
};
fetch('https://api.tread-horizon.com/v1/bulk_downloads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}FileAttachments
Bulk download FileAttachments
This endpoint starts a bulk download of FileAttachments.
The job_ids and filter[jobs] params are mutually exclusive and at least one of these is required.
On success the caller should subscribe to the BulkDownloadResult RTU using the id in the response.
POST
/
v1
/
bulk_downloads
Bulk download FileAttachments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Body
application/json
Response
Accepted
Show child attributes
Show child attributes
⌘I